<?php
 


class Limex_Advr_Block_Adminhtml_Block_Grid_Column extends Mage_Adminhtml_Block_Widget_Grid_Column
{
    public function getRowFieldExport(Varien_Object $row)
    {
        $renderedValue = $row->getData($this->getIndex());

        # if need format column value
        $exportCallback = $this->getExportCallback();
        if (is_array($exportCallback)) {
            $renderedValue = call_user_func($exportCallback, $renderedValue, $row, $this, false);
        }

        $renderedValue = strip_tags($renderedValue);

        return $renderedValue;
    }

    public function getRowField(Varien_Object $row)
    {
        $value = parent::getRowField($row);

        if ($this->getLinkCallback()) {
            $url = call_user_func($this->getLinkCallback(), $row);

            # we use # for separate image and text (country column)
            $value = explode('#', $value);
            if (count($value) == 2) {
                return $value[0].'<a href="'.$url.'">'.$value[1].'</a>';
            } else {
                return '<a href="'.$url.'">'.$value[0].'</a>';
            }
        } else {
            $value = str_replace('#', ' ', $value);
        }

        return $value;
    }
}